Bug 1634075 - [abrt] gnome-software: gs_update_list_add_app(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gs_update_list_add_app(): gnome-software killed by SIG...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3d57e22e39804102bdf49cc93a5...
: 1653750 1656843 1659784 1663855 1669787 1671654 1671886 1672091 1672776 1678327 1680218 1684995 1691274 1692213 1692979 1693206 1696258 1701719 1704719 1705890 1707830 1708536 1708974 1714022 1729537 1737266 1737576 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-28 17:11 UTC by Dima Ryazanov
Modified: 2019-08-05 16:58 UTC (History)
46 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
File: backtrace (71.70 KB, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: cgroup (345 bytes, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: core_backtrace (26.45 KB, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: dso_list (17.10 KB, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: environ (3.68 KB, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: exploitable (82 bytes, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: limits (1.29 KB, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: maps (109.74 KB, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: mountinfo (3.46 KB, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: open_fds (5.14 KB, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details
File: var_log_messages (1.99 KB, text/plain)
2018-09-28 17:11 UTC, Dima Ryazanov
no flags Details

Description Dima Ryazanov 2018-09-28 17:11:33 UTC
Description of problem:
I was checking for updates, then got a notification about a flatpack update being installed. As I was trying to see what it was, gnome-software crashed.

Version-Release number of selected component:
gnome-software-3.30.0-1.fc29

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_update_list_add_app
executable:     /usr/bin/gnome-software
journald_cursor: s=b178945068a04ee48c03c9f6df96cf26;i=13057b;b=a4cbde21109e469897e35441d326db86;m=b2a175085;t=576f1800d8408;x=1b245d1195731d5e
kernel:         4.18.9-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gs_update_list_add_app at ../src/gs-update-list.c:60
 #1 get_installed_updates_cb at ../src/gs-update-list.h:34
 #2 g_task_return_now at gtask.c:1148
 #3 complete_in_idle_cb at gtask.c:1162
 #8 g_main_context_iteration at gmain.c:3981
 #9 g_application_run at gapplication.c:2470

Comment 1 Dima Ryazanov 2018-09-28 17:11:38 UTC
Created attachment 1488153 [details]
File: backtrace

Comment 2 Dima Ryazanov 2018-09-28 17:11:39 UTC
Created attachment 1488154 [details]
File: cgroup

Comment 3 Dima Ryazanov 2018-09-28 17:11:40 UTC
Created attachment 1488155 [details]
File: core_backtrace

Comment 4 Dima Ryazanov 2018-09-28 17:11:41 UTC
Created attachment 1488156 [details]
File: cpuinfo

Comment 5 Dima Ryazanov 2018-09-28 17:11:42 UTC
Created attachment 1488157 [details]
File: dso_list

Comment 6 Dima Ryazanov 2018-09-28 17:11:43 UTC
Created attachment 1488158 [details]
File: environ

Comment 7 Dima Ryazanov 2018-09-28 17:11:44 UTC
Created attachment 1488159 [details]
File: exploitable

Comment 8 Dima Ryazanov 2018-09-28 17:11:45 UTC
Created attachment 1488160 [details]
File: limits

Comment 9 Dima Ryazanov 2018-09-28 17:11:46 UTC
Created attachment 1488161 [details]
File: maps

Comment 10 Dima Ryazanov 2018-09-28 17:11:47 UTC
Created attachment 1488162 [details]
File: mountinfo

Comment 11 Dima Ryazanov 2018-09-28 17:11:48 UTC
Created attachment 1488163 [details]
File: open_fds

Comment 12 Dima Ryazanov 2018-09-28 17:11:49 UTC
Created attachment 1488164 [details]
File: proc_pid_status

Comment 13 Dima Ryazanov 2018-09-28 17:11:49 UTC
Created attachment 1488165 [details]
File: var_log_messages

Comment 14 Hein-Pieter van Braam 2018-10-08 22:34:54 UTC
Similar problem has been detected:

Just opened gnome-software very soon after login.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_update_list_add_app
executable:     /usr/bin/gnome-software
journald_cursor: s=c03d49ae1f794671bb8770784629ed41;i=f0e6;b=0db4cf38be1f4102b782fa163436f13d;m=3c6d4b5;t=577bf2734ba55;x=f14dfdd054e3d9de
kernel:         4.18.11-300.fc29.x86_64
package:        gnome-software-3.30.2-1.fc29
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Romain Chantereau 2018-11-27 14:52:05 UTC
*** Bug 1653750 has been marked as a duplicate of this bug. ***

Comment 16 toyo83520 2018-12-06 13:08:07 UTC
*** Bug 1656843 has been marked as a duplicate of this bug. ***

Comment 17 hx 2018-12-16 12:27:00 UTC
*** Bug 1659784 has been marked as a duplicate of this bug. ***

Comment 18 Peter 2018-12-21 09:42:43 UTC
Similar problem has been detected:

I updated and rebooted the system.
Then I started Software which crashed shortly after appearing on the screen.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_update_list_add_app
executable:     /usr/bin/gnome-software
journald_cursor: s=a1789d5437d74e18bd675a1d9a137889;i=1e66;b=8c2d581bcf734e788146bb9e423c3580;m=2478b04;t=57d84e0762625;x=59feaf6a8884b9a7
kernel:         4.19.9-300.fc29.x86_64
package:        gnome-software-3.30.5-1.fc29
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 dhfaouzi 2019-01-07 08:39:58 UTC
*** Bug 1663855 has been marked as a duplicate of this bug. ***

Comment 20 Philippe 2019-01-25 12:14:23 UTC
Similar problem has been detected:

Occured after restart system post update jan 24 2019.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_update_list_add_app
executable:     /usr/bin/gnome-software
journald_cursor: s=1f8e7548542d4654b7632edb7d9ca8b1;i=c48a6;b=ec1fa2df65874876a29e4c8cef567edf;m=75d73c7;t=58030f66f3546;x=c4bfd87457b884ca
kernel:         4.19.15-300.fc29.x86_64
package:        gnome-software-3.30.6-1.fc29
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 leanid 2019-01-25 21:59:02 UTC
Similar problem has been detected:

just open software-center by click on notification after restart Fedora, wait progress rotate and then crush

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_update_list_add_app
executable:     /usr/bin/gnome-software
journald_cursor: s=5e18fa9a68374a5cb0bfb366a4535bf6;i=58065;b=8fe3cfd8da874a0cac9d5469f09cb42e;m=533d88b;t=5804f4a1b5432;x=198e2c77d829d9ef
kernel:         4.20.3-200.fc29.x86_64
package:        gnome-software-3.30.6-1.fc29
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Boyko Ch. 2019-01-27 06:13:49 UTC
*** Bug 1669787 has been marked as a duplicate of this bug. ***

Comment 23 Tamer 2019-02-01 07:43:37 UTC
*** Bug 1671654 has been marked as a duplicate of this bug. ***

Comment 24 filmsid 2019-02-02 00:55:33 UTC
*** Bug 1671886 has been marked as a duplicate of this bug. ***

Comment 25 Craig Watt 2019-02-03 19:09:04 UTC
*** Bug 1672091 has been marked as a duplicate of this bug. ***

Comment 26 Benjamin Hartmannsgruber 2019-02-05 21:30:59 UTC
*** Bug 1672776 has been marked as a duplicate of this bug. ***

Comment 27 patrice.pleitinx 2019-02-18 14:10:07 UTC
*** Bug 1678327 has been marked as a duplicate of this bug. ***

Comment 28 Krzysztof Troska 2019-02-20 20:24:36 UTC
Similar problem has been detected:

Started installation of flatpak applications in background. 
After that clicked on notification about new software installed, while still running software app.
Crash.

reporter:       libreport-2.10.0
backtrace_rating: 3
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_update_list_add_app
executable:     /usr/bin/gnome-software
journald_cursor: s=d2a31ce795d94da3b54bdef89f578345;i=462e;b=9e28c961c62844418828c13bb7b8a95c;m=e1bb70d;t=582590b6d31cb;x=1a922c49fee69a8c
kernel:         4.20.8-200.fc29.x86_64
package:        gnome-software-3.30.6-1.fc29
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 29 Michal Schmidt 2019-02-21 18:35:52 UTC
Similar problem has been detected:

Clicked on the "Update" button to install a Device Firmware update (for ThinkPad T470s).

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_update_list_add_app
executable:     /usr/bin/gnome-software
journald_cursor: s=6f28aa27a7074c9f82a608ea348b1604;i=1eb6a;b=55884e2d561a413b87556dfc9e17d309;m=2b2de39;t=5826bab647d0f;x=af6e7ff884a73db8
kernel:         4.20.11-200.fc29.x86_64
package:        gnome-software-3.30.6-1.fc29
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 30 robert 2019-02-23 06:42:15 UTC
*** Bug 1680218 has been marked as a duplicate of this bug. ***

Comment 31 Peter 2019-03-02 18:40:07 UTC
Similar problem has been detected:

After updates have been installed with reboot, I opened Software and closed the updates popup before it could actually show something.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_update_list_add_app
executable:     /usr/bin/gnome-software
journald_cursor: s=72bed2efddf844b4a6d63d093f3d6e56;i=1b41;b=57ee5ef2b0214c48950c436040e7a829;m=248ded1;t=58320be9b9637;x=195e50012798bbe0
kernel:         4.20.13-200.fc29.x86_64
package:        gnome-software-3.30.6-2.fc29
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 32 jari.kosonen4 2019-03-04 05:52:18 UTC
*** Bug 1684995 has been marked as a duplicate of this bug. ***

Comment 33 abdallah.amara 2019-03-21 10:10:30 UTC
*** Bug 1691274 has been marked as a duplicate of this bug. ***

Comment 34 Yus Subakti 2019-03-25 02:44:46 UTC
*** Bug 1692213 has been marked as a duplicate of this bug. ***

Comment 35 fred 2019-03-26 20:30:42 UTC
*** Bug 1692979 has been marked as a duplicate of this bug. ***

Comment 36 Zoran Regvart 2019-03-27 10:46:25 UTC
*** Bug 1693206 has been marked as a duplicate of this bug. ***

Comment 37 mark haus 2019-04-04 12:39:30 UTC
*** Bug 1696258 has been marked as a duplicate of this bug. ***

Comment 38 Vsevolod Chuprygin 2019-04-21 06:51:24 UTC
*** Bug 1701719 has been marked as a duplicate of this bug. ***

Comment 39 Subhadeep Dey 2019-04-30 12:30:02 UTC
*** Bug 1704719 has been marked as a duplicate of this bug. ***

Comment 40 aeroguide 2019-05-03 07:00:45 UTC
*** Bug 1705890 has been marked as a duplicate of this bug. ***

Comment 41 Maxim 2019-05-08 13:44:59 UTC
*** Bug 1707830 has been marked as a duplicate of this bug. ***

Comment 42 dmytro.morozov 2019-05-10 07:37:48 UTC
*** Bug 1708536 has been marked as a duplicate of this bug. ***

Comment 43 SURESH CHINTALAPUDI 2019-05-12 05:19:06 UTC
*** Bug 1708974 has been marked as a duplicate of this bug. ***

Comment 44 Andrew Woehrle 2019-05-26 16:27:04 UTC
*** Bug 1714022 has been marked as a duplicate of this bug. ***

Comment 45 Albert Giner Mesado 2019-07-12 14:41:46 UTC
*** Bug 1729537 has been marked as a duplicate of this bug. ***

Comment 46 rhiccarddo 2019-08-04 21:03:56 UTC
*** Bug 1737266 has been marked as a duplicate of this bug. ***

Comment 47 Joe 2019-08-05 16:58:46 UTC
*** Bug 1737576 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.